package com.dragon.tj.portal.auth.client;

import com.dragon.tj.portal.auth.model.AuthReq;
import com.dragon.tj.portal.auth.model.AuthResult;
import com.dragon.tj.portal.auth.model.RR;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Header;
import retrofit2.http.POST;

import java.util.List;

public interface DcucAuthClient {

    @POST("auth-service/v3/auths/functions")
    Call<RR<List<AuthResult>>> getAuthFunctions(
            @Header("appCode") String appCode, @Header("idcard") String idCard,
            @Body AuthReq body);
}
