package com.dragon.tj.portal.common.enums.message;

/**
 * @author huey China.
 * @Description : 消息读状态
 * @Date Created in 2023/6/28 15:48
 */
public enum MessageEnum {

    NO(0, "未读"),
    YES(1, "已读");

    private final Integer value;
    private final String name;

    MessageEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return this.value;
    }
}
