package com.dragon.tj.portal.component.exception.base;

/**
 * @author huey China.
 * @Description : 错误码顶层接口
 * @Date Created in 2023/6/15 15:49
 */
public interface ResultError {

    /**
     * 获取错误码
     *
     * @return 错误码
     */
    int getCode();

    /**
     * 获取错误描述信息
     *
     * @return 错误描述信息
     */
    String getMsg();
}
