package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 问题信息
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("issue_info")
public class IssueInfo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 解答
     */
    private String answer;
    private String answerUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /*
    * 创建人
    * */
    private String createUser;
    private String createUserIdcard;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除状态 默认0 有效 1无效
     */
    private Integer delFlag;

}
