package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.entity.InstallInfo;

import java.util.Set;

public interface InstallInfoService extends IService<InstallInfo> {

    /**
    * @author huey China.
    * @Description : 获取appid下所有有效用户id标识
    * @Date Created in 2023/7/12 16:21
     * @return
    */
    Set<String> findUsersByAppId(String appId);
}
